SimSimulationObjectGroup Class

class NXOpen.CAE.SimSimulationObjectGroup

Bases: NXOpen.CAE.SimBcGroup

Represents a simulation object group in a solution or solution step

Not support KF.

New in version NX9.0.0.

Properties

Property Description
GroupContainer Returns the solution or solution step owning this BC group
Tag Returns the Tag for this object.

Methods

Method Description
Add Adds a simulation object to this group
GetSimulationObjects Gets the simulation objects in this group
Remove Removes a simulation object from this group
RemoveAll Removes all simulation objects from this group
SetBoltLoadSequence Set the bolt load sequence

Method Detail

Add

SimSimulationObjectGroup.Add

Adds a simulation object to this group

Signature Add(tSimulationObject)

Parameters:tSimulationObject (NXOpen.CAE.SimSimulationObject) – the simulation object to be added

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

GetSimulationObjects

SimSimulationObjectGroup.GetSimulationObjects

Gets the simulation objects in this group

Signature GetSimulationObjects()

Returns:the simulation objects in this group
Return type:list of NXOpen.CAE.SimSimulationObject

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Remove

SimSimulationObjectGroup.Remove

Removes a simulation object from this group

Signature Remove(pSimulationObject)

Parameters:pSimulationObject (NXOpen.CAE.SimSimulationObject) – the simulation object to be removed

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

RemoveAll

SimSimulationObjectGroup.RemoveAll

Removes all simulation objects from this group

Signature RemoveAll()

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)